Đến nội dung


Hình ảnh
- - - - -

[Yêu cầu ] Lisp Tự Động Phát Sinh Vùng Chọn Theo " UCS ảo "


  • Please log in to reply
24 replies to this topic

#1 NTD

NTD

    biết lệnh rotate

  • Members
  • PipPipPip
  • 135 Bài viết
Điểm đánh giá: 11 (tàm tạm)

Đã gửi 13 July 2012 - 02:17 AM

Em ko nói dài nữa ai hiểu đc thì giúp em với , ai ko hiểu em cần thế để làm gì thì xin đừng khuyên em nên thay đổi ý tưởng , em tránh phải giải thích làm loãng topic . Mọi vấn đề đều có nguyên nhân của nó , Em xin cảm ơn

Em cần 1 Lips như tiêu đề , mục đích
1. Command : ko có lệnh nào hay đc gọi SELECT, đang view tầng 1, bôi chuột "hình chữ nhật" 1 cái chọn đối tượng để hiện Grip box thì mặt bằng tầng 2-3-4-....-n thâm chí là cả các Mặt Cắt Măt Đứng cũng đã tự động xác lập đc các "hình chữ nhật ảo" trong hệ thống "UCS ảo" ( có gốc O là các Block của hệ thống tim cột , hướng XY ) ==> các đối tượng được chọn ==> hiện Grip box ==> Nhàn & Nhanh + Chính xác hơn
2. Command : SELECTSIMILAR (Cad2012) làm tương tự như trên nhưng vì bản chất của lệnh này nên Lisp sẽ phải tự động loại ra các đối tượng nằm bên ngoài các "hình chữ nhật"

* Đăc biệt "hình chữ nhật" có thể thay = các lựa chọn sau
Window/Last/Crossing/BOX/ALL/Fence/WPolygon/CPolygon/Group/Add/Remove/Multiple/P
revious/Undo/AUto/SIngle
* Đặc biệt Lips vần chạy chuẩn khi UCS hiện thời đã bị xoay đi và các hệ thống "UCS ảo" ( các bản vẽ ) cũng bi xoay , Tức là các "hình chữ nhật ảo" đc phát sinh kia cũng có khả năng xoay theo toàn bộ hệ thống
* Em có gửi kèm 1 File CAD để minh họa ý tưởng
http://www.cadviet.c...cs_ao__2000.dwg
Em xin cảm ơn mọi người !
  • 0

#2 NTD

NTD

    biết lệnh rotate

  • Members
  • PipPipPip
  • 135 Bài viết
Điểm đánh giá: 11 (tàm tạm)

Đã gửi 13 July 2012 - 12:52 PM

có bác cao thủ Lisp nào hứng thú với chủ đề này ko giúp em với ! Hay do em đặt ra ý tưởng khó quá hay phi thực tế quá hay do em trình bày khó hiểu quá
  • 0

#3 LoveLisp

LoveLisp

    biết lệnh extend

  • Members
  • PipPipPip
  • 195 Bài viết
Điểm đánh giá: 20 (tàm tạm)

Đã gửi 13 July 2012 - 01:24 PM

Mình cũng có hứng thú, có đọc comment và có xem bản vẽ của bạn, nhưng rất tiếc là ... không hiểu bạn muốn gì! hic..hic...
Bạn có thể diễn đạt lại điều bạn muốn một cách đơn giản và dễ hiểu hơn không? Tốt nhất là gạch đầu dòng bạn ạ! Bạn vui lòng viết đầy đủ, đừng viết tắt!
  • 0

#4 NTD

NTD

    biết lệnh rotate

  • Members
  • PipPipPip
  • 135 Bài viết
Điểm đánh giá: 11 (tàm tạm)

Đã gửi 13 July 2012 - 01:57 PM

Xin rút ngắn post 1 để các bác dễ làm , làm đc bước này sẽ tính bước sau , đầu xuôi thì đuôi sẽ lọt

Em cần 1 Lips mục đích
1. Command : gọi lệnh SELECT, đang view tầng 1, bôi chuột chọn đối tượng để hiện Grip box thì tại mặt bằng tầng 2-3-4-....-n các đối tượng nằm tại các vị trí tương ứng với các đối tượng vừa đc chọn ở tầng 1 sẽ cũng được chọn và hiện Grip box Sau đó ta muốn làm gì thì làm ví dụ gọi lệnh move hay mirror để sửa các đối tượng đó .
* Em có gửi kèm 1 File CAD để minh họa ý tưởng
http://www.cadviet.c...theo_ucs_ao.dwg

Lisp này làm ta giảm đi nhiều thời gian phải pan zoom nhiều vô các vùng bản vẽ chi chít trong 1 dự án lớn để chọn đối tượng cho 1 lệnh nào đó mà có khi chọn nhầm mà lâu hơn Lisp này là cái chắc . Nhất là nếu việc đó lặp đi lặp lại . Lisp cũng giúp thể hiện các bản vẽ của các tầng trong 1 tào nhà cao tầng được đồng bộ & nhanh hơn
  • 0

#5 mathan

mathan

    biết vẽ rectang

  • Members
  • PipPip
  • 83 Bài viết
Điểm đánh giá: 57 (tàm tạm)

Đã gửi 13 July 2012 - 02:13 PM

@NTD: Nếu mình phát triển tiếp ý tưởng copy đối tượng theo block gốc tọa độ và thêm tính năng xoay phần copy theo hướng của block gốc tọa độ đó thì bạn tính sao??Liệu có đáp ứng được nhu cầu của bạn không??
Bạn giải thích vẫn rối lắm. Tạo UCS ảo để làm ?? Bạn chỉ cần đi thẳng vào mục đích.
Con đường đi tới mục đích có thể là khác nhau, nhưng như thế sẽ nhiều ý tưởng sáng tạo hay hơn thì sao??
Hãy cố gắng đến được đích bằng con đường ngắn nhất bạn ah.
P/s: Bạn hãy up file lưu ở dạng CAD đời thấp để nhiều người có thể sử dụng ngay
  • 0
-----------
Hình đã gửi Hãy chia sẻ để thấy có được nhiều hơn điều mình muốn!
Best regard,

#6 NTD

NTD

    biết lệnh rotate

  • Members
  • PipPipPip
  • 135 Bài viết
Điểm đánh giá: 11 (tàm tạm)

Đã gửi 13 July 2012 - 04:26 PM

Em vốn ko muốn viết dài làm 1 số bác đọc nhiều đâm bực nhưng vẫn phải viết ra để mọi ng hiểu đc ý đồ của em

@NTD: Nếu mình phát triển tiếp ý tưởng copy đối tượng theo block gốc tọa độ và thêm tính năng xoay phần copy theo hướng của block gốc tọa độ đó thì bạn tính sao??Liệu có đáp ứng được nhu cầu của bạn không??
- Ko phải vì topic bên kia chưa tính đc trường hợp xoay mà em lập topic này để tìm cách chọn những đối tượng chưa đc xoay đó cho lệnh Rotate
Bạn giải thích vẫn rối lắm. Tạo UCS ảo để làm ?? Bạn chỉ cần đi thẳng vào mục đích.
Con đường đi tới mục đích có thể là khác nhau, nhưng như thế sẽ nhiều ý tưởng sáng tạo hay hơn thì sao??
- Với em là bác đã rất giỏi khi đã giải đc bài toán "Tự Động Phát Sinh Đối Tượng Theo UCS ảo" mà em đưa ra , thậm chí rất thông minh khi ko nghĩ đến việc dùng các Block sẵn có để làm UCS ảo , cái này em ko nghĩ ra .Lổi là thuộc về em trong việc trình bày dẫn đến bác chưa giải quyết đc bài toán tổng thể về copy khi UCS bị xoay & các bản vẽ bị xoay .
- Em xin đưa ra 1VD: Trong 1 File vẽ MB thì Block hệ thống tim cột có ở tất cả các MB , em muốn dựa vào đó để vẽ và chỉnh sửa tự động vô số thứ mà giống nhau về hinh thức thể hiện nhưng khác nhau về nội dung đó là những thứ ko nên Block lại ( VD hang loạt text công năng trong các phòng , hê thống đồ nội thất , khác nhau về hình dáng 1 chút thôi nhưng nằm tai các vị trí tương đối như nhau trên MB ....nhiều lắm bác ạ kể ra lại bảo em nói dài )
Hãy cố gắng đến được đích bằng con đường ngắn nhất bạn ah.


  • 0

#7 NTD

NTD

    biết lệnh rotate

  • Members
  • PipPipPip
  • 135 Bài viết
Điểm đánh giá: 11 (tàm tạm)

Đã gửi 13 July 2012 - 09:37 PM

em đã up lại File CAD minh họa yêu cầu save về phiên bản CAD2000 ở post 1, hoặc la` các bác down tại đây luôn
http://www.cadviet.c..._ao__2000_1.dwg
  • 0

#8 LoveLisp

LoveLisp

    biết lệnh extend

  • Members
  • PipPipPip
  • 195 Bài viết
Điểm đánh giá: 20 (tàm tạm)

Đã gửi 14 July 2012 - 02:13 PM

"gọi lệnh SELECT"
-> Thực hiện lệnh Seclect ở dòng Command.
", đang view tầng 1"
-> Màn hình đang zoom và khu vực Mặt bằng tầng 1.
", bôi chuột chọn đối tượng để hiện Grip box"
-> lúc này "bôi chuột" sẽ không làm hiện Grip được bạn ạ, vì bạn đang ở trong lệnh Select mà, muốn hiện Grip thì bạn phải thoát khỏi tất cả các lệnh và chọn đối tượng.
"thì tại mặt bằng tầng 2-3-4-....-n các đối tượng nằm tại các vị trí tương ứng với các đối tượng vừa đc chọn ở tầng 1 sẽ cũng được chọn"
-> Câu này thì bó tay toàn tập!!
"và hiện Grip box Sau đó ta muốn làm gì thì làm ví dụ gọi lệnh move hay mirror để sửa các đối tượng đó"
-> khó hiểu không kém gì câu trên.

Nếu muốn 1 đối tượng nào đó liên kết thành nhóm với 1 hay nhiều đối tượng khác, AutoCAD đã có sẵn lệnh Group giúp bạn làm điều này (Nhớ gán biến PICKSTYLE về 1).
Sau khi gán nhóm, bạn có thể dùng lệnh Zoom, lựa chọn Object để xem các đối tượng mà bạn đã chọn.

Hy vọng giúp được bạn!
  • 0

#9 NTD

NTD

    biết lệnh rotate

  • Members
  • PipPipPip
  • 135 Bài viết
Điểm đánh giá: 11 (tàm tạm)

Đã gửi 14 July 2012 - 11:24 PM

"gọi lệnh SELECT"
-> Thực hiện lệnh Seclect ở dòng Command.
", đang view tầng 1"
-> Màn hình đang zoom và khu vực Mặt bằng tầng 1.
", bôi chuột chọn đối tượng để hiện Grip box"
-> lúc này "bôi chuột" sẽ không làm hiện Grip được bạn ạ, vì bạn đang ở trong lệnh Select mà, muốn hiện Grip thì bạn phải thoát khỏi tất cả các lệnh và chọn đối tượng. Bác ko hiểu rõ về lệnh SELECT và nhiều lệnh khác dùng để chọn đối tượng như Filter là cơ bản nhất, hay QSELECT cũng cơ bản nốt , rồi SELECTSIMILAR , nâng cao hơn về Lisp thì có ssget ( vô đây mà vọc đi nè http://www.cadviet.c...showtopic=17934 ) Bác ko đẩy cái biến hệ thống tổng thể GRIPOBJLIMIT cao hơn mạc định 100 thì làm sao GRIP Box nó hiện lên khi có nhiều hơn 100 GRIP Box đáng nhẽ phải hiện lên , đẩy nó lên mức cao nhất 32767 xem co hiện GRIP Box ko mà ngồi đó phán
"thì tại mặt bằng tầng 2-3-4-....-n các đối tượng nằm tại các vị trí tương ứng với các đối tượng vừa đc chọn ở tầng 1 sẽ cũng được chọn"
-> Câu này thì bó tay toàn tập!! Bó tay là đúng :D
"và hiện Grip box Sau đó ta muốn làm gì thì làm ví dụ gọi lệnh move hay mirror để sửa các đối tượng đó"
-> khó hiểu không kém gì câu trên. Chuẩn luôn :D

Nếu muốn 1 đối tượng nào đó liên kết thành nhóm với 1 hay nhiều đối tượng khác, AutoCAD đã có sẵn lệnh Group giúp bạn làm điều này (Nhớ gán biến PICKSTYLE về 1).
Sau khi gán nhóm, bạn có thể dùng lệnh Zoom, lựa chọn Object để xem các đối tượng mà bạn đã chọn.
Em biết cái trò này rồi , em ko hỏi về cái trò này !
Ứng dụng của Lisp của topic này nếu đc ai đó viết ra sẽ ảnh hưởng và khác rất nhiều cách bác nói về Group & PICKSTYLE , những thứ quá đơn giản . Mà sao bác biết về PICKSTYLE mà lại ko biết về GRIPOBJLIMIT nhỉ , chúng nằm cùng 1 bảng Selection trong Options cơ mà , haiz !


Hy vọng giúp được bạn! Chưa giúp đc em thật mà


  • 0

#10 NTD

NTD

    biết lệnh rotate

  • Members
  • PipPipPip
  • 135 Bài viết
Điểm đánh giá: 11 (tàm tạm)

Đã gửi 15 July 2012 - 08:02 PM

Ketxu đâu rồi , đi OffLine chém anh là làm thì làm đc nhưng mà anh đưa ra nhiều yêu cầu tùy chọn quá nên ngại viết . Bây h anh rút ngắn lại đây , yêu cầu 1 phát thôi , bao h chú biên soan xong giáo trình về Lisp rồi mở lớp về AutoLisp thì anh sẽ tính sau , hoc xong lớp của chú anh mới nhờ ng ko bằng cậy mình :D

1 Lips về lệnh SELECTSIMILAR
Command : gọi lệnh của Lips , đang view tầng 1, bôi chuột chọn đối tượng để hiện Grip box thì tại mặt bằng tầng 2-3-4-....-n các đối tượng nằm tại các vị trí tương ứng với các đối tượng vừa đc chọn ở tầng 1 sẽ cũng được chọn và hiện Grip box . vì bản chất của lệnh SELECTSIMILAR nên Lisp sẽ phải tự động loại ra các đối tượng nằm bên ngoài các "hình chữ nhật"
Nhớ chú ý khi UCS bị quay xiên đi hay các bản vẽ bị quay xiên nhé
  • 0

#11 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5682 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 15 July 2012 - 08:38 PM

Thôi e nghĩ lại rồi. Tốt nhất chỉ nên chém thôi, còn có khách mà dạy
Nếu a muốn tự làm lisp này thì e hướng dẫn :D
  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#12 thanhduan2407

thanhduan2407

    biết lệnh adcenter

  • Advance Member
  • PipPipPipPipPipPipPip
  • 993 Bài viết
Điểm đánh giá: 223 (khá)

Đã gửi 15 July 2012 - 08:45 PM

hê hê. Ketxu đang bận sao ấy bác ợ. Hii. Bác học cũng chịu khó nhé. :)
  • 0



Tôi là con kiến bò trên sa mạc kiến thức bao la. Biển học thật rộng lớn







#13 NTD

NTD

    biết lệnh rotate

  • Members
  • PipPipPip
  • 135 Bài viết
Điểm đánh giá: 11 (tàm tạm)

Đã gửi 15 July 2012 - 11:24 PM

@ ketxu : chú có đảm bảo trong lớp Lisp của chú có bài giảng giải quyết đc vấn đề của topic này ko ? có thì anh mới học ko thì nói trước cho anh để anh còn hỏi bác Hoành & bác Hướng . Bác Hoành ban chiều ngồi uống bia kêu anh đừng học lớp Lisp của thằng ketxu khó học lắm :D học .... lớp VBA của bác ý , nhanh rẻ , ý tưởng nào cũng có thể làm đc như bác ý đang chém đây :D . Bác Hướng còn bảo ko nên học lớp nào hết , nên mua sách của anh , có 200k thôi , đọc xong đảm bảo sẽ ... muốn học 1 trong 2 lớp kia :D . Ôi , thế tóm lại là thế nào ? ,bây giờ ông nào giải được bài toán trên thì tui đóng tiền học ông ý . Chốt rồi đấy ! :D
  • 0

#14 duy782006

duy782006

    PHẠM QUỐC DUY

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 2155 Bài viết
Điểm đánh giá: 1360 (rất tốt)

Đã gửi 16 July 2012 - 09:26 AM

-Tất cả các yêu cầu của bác theo tôi bác chỉ cần lập 1 hàm xác định điểm tương ứng trong các block cho trước xét theo cả tỉ lệ, góc, mirror sau đó tuỳ yêu cầu mà ứng dụng hàm này.
-Báo thật với bác là tôi mò lisp cũng hơn 5 năm rồi nhưng những lisp của két viết tôi cứ nhìn vào là đau đầu ko hiểu gì. Ko biết bác nạp nổi trong thời gian ngắn như két không trong khi còn đang đua giành ghế nửa.
-Cái việc làm hàm như tôi nói trên thì tôi làm được nhưng ứng dụng cái hàm đó theo yêu cầu của bác thì tôi thua, tốt nhất bác gặp rực tiếp két làm việc (tôi tin là thời gian ngắn bác sẽ có công cụ như ý trong tay).
-Bác mới đi ọp phát về là giọng văn bắt đầu cợt nhã rồi, tôi vẩn muốn là trên diển đàn mình dủng giọng nghiêm túc tì vì nhiều người nhòm. Đó là ý riêng của tôi.
-À báccó nói lúc nào đỏ chả nhớ là dđ này dị ứng với từ KTS thì ko phải vì theo tôi biết phần lớn những người tham gia tán với bác là KTS cả chỉ là mọi người chán nản với cách mà các KTS bây giờ phải sống và làm việc thôi.
  • 0

Cứ ngỡ trần gian là cõi thật.Cho nên tất bật đến bây giờ.
Tạo hộp thoại bằng lisp My blog QUY ĐỊNH ĐẶT TÊN TOPIC TRONG CHUYÊN MỤC LISPD http://ktsduy.wordpress.com/
Để cám ơn chỉ cần nhấn rep_up.png
(Là nhấn vào nút đó phía bài viết của người ta í chứ đừng có nhè cái hình này mà nhấn miết đi nha :-D


#15 NTD

NTD

    biết lệnh rotate

  • Members
  • PipPipPip
  • 135 Bài viết
Điểm đánh giá: 11 (tàm tạm)

Đã gửi 16 July 2012 - 11:13 AM

- Đi Off anh em uống bia , ket tâm sự bây h ko muốn viết Lisp free nữa rồi , chỉ viết free cho nhưng yêu cầu nào cậu ý hứng thú thôi . Nguyên nhân là do đa số anh em ở đây cả , mọi ng` đọc dòng này của tôi thi` tự ngẫm về bản thân mình trước đi . Tại sao lại làm 1 ng`giỏi nhiêt tình và đam mê như ketxu ko còn nhiệt tình như trước ? Khi nao` ngẫm ra thì hãy lên giọng
- Bác hiểu thế nào là cợt nhả mà lên giọng dạy đời tôi . Về tuổi tôi bằng vai bác Hoành , bác thì bao tuổi rồi ? , về trình thì so kiểu gì đây . Lisp hay lập trình nọ kia tôi đáng hoc trò của nhiều ng ở đây . Nhưng chắc luôn 1 điều sau buổi Off line là tôi ăn đứt vác Hoành khoản sủ dụng AutoCAd hiêu quả hơn cho công việc thiêt kế .
- Anh em đã đi OFF tức là đã tham gia vào 1 tập thể chơi & sống với nhau , hiểu nhau hơn khi chỉ OnLine , Tính cách của tôi ko phải loại ng` lúc nào cũng phải dè trừng nói trước ngó sau , Dù là sếp tổng ở cty khi đã thân thiết tôi coi như anh em ban bè hết , éo có cái khoảng cách dè trừng nhau sợ ng khác soi vào làm gì cho mệt cái đầu
- Tôi luôn tự hào mình là Kiến Trúc Sư ngay từ khi chỉ là 1 thằng thợ vẽ làm theo mọi yêu cầu của sếp . Anh nói câu này chú nào còn đang là thợ vẽ nên ghi nhớ : Nếu bản thân mình thấy xấu hổ khi nhận mình là KTS hay thiếu tự tin để nhận mình là KTS thì con đường trở thành 1 KTS chủ trì trong 1 tập thể cty sẽ dài hơn xa hơn và vất vả hơn . Vấn đề nằm chính ở sự tự tin & dám bảo vệ nhưng gì mình đưa ra khi mình chỉ là 1 thằng thợ vẽ . Nói cụ thể là dám bật lại ngay cả sếp hay chủ đâu tư vì mấy ông đó đơn giản éo phải KTS như mình
  • 0

#16 lp_hai

lp_hai

    biết lệnh measure

  • Members
  • PipPipPipPipPipPip
  • 456 Bài viết
Điểm đánh giá: 202 (khá)

Đã gửi 16 July 2012 - 01:19 PM

1 Lips về lệnh SELECTSIMILAR
Command : gọi lệnh của Lips , đang view tầng 1, bôi chuột chọn đối tượng để hiện Grip box thì tại mặt bằng tầng 2-3-4-....-n các đối tượng nằm tại các vị trí tương ứng với các đối tượng vừa đc chọn ở tầng 1 sẽ cũng được chọn và hiện Grip box . vì bản chất của lệnh SELECTSIMILAR nên Lisp sẽ phải tự động loại ra các đối tượng nằm bên ngoài các "hình chữ nhật"
Nhớ chú ý khi UCS bị quay xiên đi hay các bản vẽ bị quay xiên nhé

Mình nhớ trước đây có bạn yêu cầu lisp chọn những dt có vị trí trương đồng ở nhiều Mặt bằng khác nhau, có viết cho riêng trường hợp bạn ấy yêu cầu, kiểu chọn đối tượng là (ssget "W"), bạn test thử có giống như vậy không?

(defun c:ss(/ dt lstp p01 p02 n id dtc p1 p2 stdc spt)
(setq dt (ssadd)
osm (getvar "osmode")
)
(setq p01(getpoint "\nchon diem goc 1:"))
(command "ucs" "n" p01)
(setvar "osmode" 0)
(while (setq p1(getpoint"\nchon doi tuong:"))
(setq p2(getcorner p1)
lstp (append (list p1 p2) lstp))
)
(setq spt (/(length lstp)2)
n 0)
(repeat spt
(setq dtc (ssget "W" (nth n lstp) (nth (+ n 1) lstp))
n (+ n 2)
)
(setq sdtc (sslength dtc)
id 0)
(repeat sdtc
(setq dt (ssadd (ssname dtc id) dt)
id (1+ id))
)
)
(setvar "osmode" osm)
;;;;
(while (setq p02 (getpoint "\nchon diem goc tiep theo:"))
(command "ucs" "n" p02)
(setvar "osmode" 0)
(setq n 0)
(repeat spt
(setq dtc (ssget "W" (nth n lstp) (nth (+ n 1) lstp))
n (+ n 2)
)
(setq sdtc (sslength dtc)
id 0)
(repeat sdtc
(setq dt (ssadd (ssname dtc id) dt)
id (1+ id))
)
)
(setvar "osmode" osm)
)
(command "ucs" "w")
(sssetfirst dt dt)
(princ)
)

  • 2
Hình đã gửi

#17 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 16 July 2012 - 01:58 PM

- Đi Off anh em uống bia , ket tâm sự bây h ko muốn viết Lisp free nữa rồi , chỉ viết free cho nhưng yêu cầu nào cậu ý hứng thú thôi . Nguyên nhân là do đa số anh em ở đây cả , mọi ng` đọc dòng này của tôi thi` tự ngẫm về bản thân mình trước đi . Tại sao lại làm 1 ng`giỏi nhiêt tình và đam mê như ketxu ko còn nhiệt tình như trước ? Khi nao` ngẫm ra thì hãy lên giọng
.......

Không phải ai nhiệt tình và đam mê như Ketxu không còn nhiệt tình như trước.
Xin đừng vơ đũa cả nắm.

......
-......Lisp hay lập trình nọ kia tôi đáng hoc trò của nhiều ng ở đây . Nhưng chắc luôn 1 điều sau buổi Off line là tôi ăn đứt vác Hoành khoản sủ dụng AutoCAd hiêu quả hơn cho công việc thiêt kế .
.......

Trời ạ! Có mấy cái sử dụng AutoCAd bạn còn chưa biết nói chi là .....?
Không nên nói vậy tí nào?

Chài Premetric rơi đúng vùng chưa biết của em , em sẽ voc nó nhiều hơn vì thấy cái này có nhiều ứng dụng quá,
Nhưng vấn đề là mới vọc 5p đã khóa và mở khóa ngon lành ==> khóa này chưa chắc , ai biêt về Premetric sẽ mở ngon lành
..........


  • 2

#18 lp_hai

lp_hai

    biết lệnh measure

  • Members
  • PipPipPipPipPipPip
  • 456 Bài viết
Điểm đánh giá: 202 (khá)

Đã gửi 16 July 2012 - 02:26 PM

E đồng ý với bác Tue!
Phải công nhận đọc lại những CM của NTD em thấy hơi bị sốc ^^
Ở trên cadviet phần đông là KST, và cũng một phần không nhỏ không phải là KTS, Nếu em là KTS em cũng sẽ tự hào mình là KTS, nhưng em không cần phải giới thiệu em là KTS mọi lúc mọi nơi, vì sao ư? vì đơn giản em đang suy nghĩ theo cách nghĩ của "một thằng thợ vẽ". Nói để biết là trên cadviet chac cung co nhiều bác lam nghề như em. có bác có tuổi đời có lẽ cũng có cháu gọi bằng ông rồi.

Nếu bạn NTD gọi "mấy chú" và xưng "anh" thì em hơi ái ngại!
  • 0
Hình đã gửi

#19 NTD

NTD

    biết lệnh rotate

  • Members
  • PipPipPip
  • 135 Bài viết
Điểm đánh giá: 11 (tàm tạm)

Đã gửi 16 July 2012 - 02:44 PM

Không phải ai nhiệt tình và đam mê như Ketxu không còn nhiệt tình như trước.
Xin đừng vơ đũa cả nắm.
- Ồ cái này thì đúng là mình sai rồi , tiền ko mua đc sự nhiêt tình chia sẻ của anh em cadviet , điêu đó còn nhiêu ng` như minh mong chờ để học hỏi để chia se kiên thức cho ng đên sau ....
Trời ạ! Có mấy cái sử dụng AutoCAd bạn còn chưa biết nói chi là .....?
Không nên nói vậy tí nàCarmm
- Cảm nhận của riêng mình là vậy ! moi ng ko tán thành thì thôi coi như mình chưa nói ! Đâu phải cứ biết rất nhiều lệnh nhiều Lisp hơn thì làm thiết kế sẽ cho sản lượng và chất lượng cao hơn đâu . Nhàn hơn thì chuẩn rồi !


  • 0

#20 NTD

NTD

    biết lệnh rotate

  • Members
  • PipPipPip
  • 135 Bài viết
Điểm đánh giá: 11 (tàm tạm)

Đã gửi 16 July 2012 - 02:46 PM

Mình nhớ trước đây có bạn yêu cầu lisp chọn những dt có vị trí trương đồng ở nhiều Mặt bằng khác nhau, có viết cho riêng trường hợp bạn ấy yêu cầu, kiểu chọn đối tượng là (ssget "W"), bạn test thử có giống như vậy không?


Cảm ơn bạn Lisp này gần đúng với cái mình yêu cầu rồi , chỉ cần chế 1 chút thôi là đúng như yêu cầu topic . Việc này mình sẽ làm có gì se hỏi anh em sau
  • 0